import Script from "next/script"

import { env } from "@/env/server"

export default function GTMScript() {
  return env.ENABLE_GTMSCRIPT ? (
    <Script
      id="gtm-script-tag"
      data-cookieconsent="statistics"
      dangerouslySetInnerHTML={{
        __html: `
              try {
                (function(w,d,s,l,i){
                  w[l]=w[l]||[];
                  w[l].push({'gtm.start': new Date().getTime(), event:'gtm.js'});
                  var f = d.getElementsByTagName(s)[0],
                      j = d.createElement(s),
                      dl = l != 'dataLayer' ? '&l=' + l : '';
                  j.async = true;
                  j.src = 'https://analytics.scandichotels.com/gtm.js?id=' + i + dl;
                  f.parentNode.insertBefore(j, f);
                })(window,document,'script','dataLayer','GTM-KNJCW67W');
              } catch (e) {
                console.error('Failed to load GTM script', e);
              }
            `,
      }}
      async
    />
  ) : null
}
